import { MyComponent } from './my-component';
import { NO_ERRORS_SCHEMA }          from '@angular/core';
import { ComponentFixture, TestBed } from '@angular/core/testing';


let fixture: ComponentFixture<MyComponent>;

describe('MyComponent', () => {
  beforeEach(() => {
    fixture = TestBed.configureTestingModule({
      declarations: [ MyComponent],
      schemas:      [ NO_ERRORS_SCHEMA ]
    })
    .createComponent(MyComponent);
    fixture.detectChanges(); // initial binding
  });

  it('should have skyblue <h2>', () => {
    const div: HTMLElement = fixture.nativeElement.querySelector('div');
    expect(div.textContent).toBe("I'm a special snowflake");
  });
});
